VPS侦探论坛

 找回密码
 注册
查看: 1575|回复: 5

如何安装php8.1

[复制链接]
发表于 2022-11-7 20:54:29 | 显示全部楼层 |阅读模式

magento2.4.5要求php8.1, 军哥,请问如何加上php8.1呀?

美国VPS推荐: 遨游主机LinodeLOCVPS主机云搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2022-11-8 06:29:11 | 显示全部楼层


写错了。如何增加php8.2
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
发表于 2022-11-8 09:53:43 | 显示全部楼层

如果是lnmp模式直接安装多php版本
php 8.2未正式发布未在支持行列中,等正式发布后会在下个lnmp版本中增加。
美国VPS推荐: 遨游主机LinodeLOCVPS主机云搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2023-8-5 08:39:16 | 显示全部楼层



军哥,您好,lnmp2.0 无人值守安装的linux,现在的php是5.6, 再安装nextcloud 最新版本时,提醒要php8.0 以上,看到lnmp2.0 支持php8.2了已经,这个怎么多版本安装php8.2 呢,安装后会不会对网页有影响?谢谢军哥,小白一个。
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
发表于 2023-8-5 08:54:08 | 显示全部楼层

本帖最后由 aquanaut 于 2023-8-5 08:55 编辑

https://blog.csdn.net/weixin_53191176/article/details/131560327  

https://blog.csdn.net/weixin_41981080/article/details/85316870?spm=1001.2101.3001.6650.1&utm_medium=distribute.pc_relevant.none-task-blog-2~default~CTRLIST~Rate-1-85316870-blog-131560327.235%5Ev38%5Epc_relevant_sort_base2&depth_1-utm_source=distribute.pc_relevant.none-task-blog-2~default~CTRLIST~Rate-1-85316870-blog-131560327.235%5Ev38%5Epc_relevant_sort_base2&utm_relevant_index=2

可以直接把php 配置到8.2吗?其他会出现不兼容的情况吗?

军哥运维代购:http://shop63846532.taobao.com/

发表于 2023-8-5 11:20:20 | 显示全部楼层

aquanaut 发表于 2023-8-5 08:39
军哥,您好,lnmp2.0 无人值守安装的linux,现在的php是5.6, 再安装nextcloud 最新版本时,提醒要php8.0  ...

多php版本本来每个版本都是独立运行的,互不影响
如果多php版本安装了多个且服务器配置比较低的话可能会影响性能
如果其他程序也支持php 8.2也可以直接升级到php 8.2
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2024-4-13 11:53 , Processed in 0.027159 second(s), 16 queries .

Powered by Discuz! X3.4

© 2001-2023 Discuz! Team.

快速回复 返回顶部 返回列表